Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 914265

Summary: perl-DBD-AnyData: FTBFS in rawhide
Product: [Fedora] Fedora Reporter: Dennis Gilmore <dennis>
Component: perl-DBD-AnyDataAssignee: Tom "spot" Callaway <tcallawa>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: high Docs Contact:
Priority: unspecified    
Version: 19CC: i, lucio, paul, perl-devel, ppisar, tcallawa
Target Milestone: ---Keywords: Reopened
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2014-02-27 19:53:07 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On:    
Bug Blocks: 913825    
Attachments:
Description Flags
I'm about to retire this package, but in case someone wants to take it up, this is the patch referenced in comment 5, minus the very large number of whitespace changes. none

Description Dennis Gilmore 2013-02-22 09:55:04 UTC
Your package perl-DBD-AnyData failed to build from source in current rawhide.

http://koji.fedoraproject.org/koji/taskinfo?taskID=4971488

Build logs:
root.log: http://kojipkgs.fedoraproject.org/work/tasks/1488/4971488/root.log
build.log: http://kojipkgs.fedoraproject.org/work/tasks/1488/4971488/build.log
state.log: http://kojipkgs.fedoraproject.org/work/tasks/1488/4971488/state.log
NOTE: build logs are cleaned up after 1 week

For details on mass rebuild see https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

Comment 1 Petr Pisar 2013-02-27 14:50:05 UTC
DBD-AnyData-0.110 is not compatible with DBI-1.623 <https://rt.cpan.org/Public/Bug/Display.html?id=83293>.

Comment 2 Fedora End Of Life 2013-04-03 17:48:58 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19

Comment 3 Christopher Meng 2014-01-05 17:42:43 UTC
Upstream hasn't fixed up the code and this package got retired.

Comment 4 Petr Pisar 2014-01-06 08:45:48 UTC
The package has not yet been retired. See the source repository.

Comment 5 iaco61 2014-01-13 14:32:02 UTC
I wrote a new version of DBD::AnyData to work with DBI 1.623 or greather (I'm using DBI 1.630).
I sent the new version to CPAN authors to evaluate the changes.
The main problem is the change of interation between DBI and DBD::File/DBD::SqlEngine.
I spent 1 week to inherit DBD::AnyData from DBD::File as done by DBD::CSV driver and now works in my environment.

See: https://rt.cpan.org/Public/Bug/Display.html?id=92103

Comment 6 Paul Howarth 2014-01-13 14:36:49 UTC
(In reply to iaco61 from comment #5)
> I wrote a new version of DBD::AnyData to work with DBI 1.623 or greather
> (I'm using DBI 1.630).
> I sent the new version to CPAN authors to evaluate the changes.
> The main problem is the change of interation between DBI and
> DBD::File/DBD::SqlEngine.
> I spent 1 week to inherit DBD::AnyData from DBD::File as done by DBD::CSV
> driver and now works in my environment.
> 
> See: https://rt.cpan.org/Public/Bug/Display.html?id=92103

Upstream requested this morning that you send your version as a patch - are you going to do that?

Comment 7 Paul Howarth 2014-01-20 14:48:06 UTC
(In reply to Paul Howarth from comment #6)
> (In reply to iaco61 from comment #5)
> > I wrote a new version of DBD::AnyData to work with DBI 1.623 or greather
> > (I'm using DBI 1.630).
> > I sent the new version to CPAN authors to evaluate the changes.
> > The main problem is the change of interation between DBI and
> > DBD::File/DBD::SqlEngine.
> > I spent 1 week to inherit DBD::AnyData from DBD::File as done by DBD::CSV
> > driver and now works in my environment.
> > 
> > See: https://rt.cpan.org/Public/Bug/Display.html?id=92103
> 
> Upstream requested this morning that you send your version as a patch - are
> you going to do that?

Still no further activity at https://rt.cpan.org/Public/Bug/Display.html?id=92103

Upstream is likely to close this ticket soon if you don't send them the updated version as a patch (see the ticket).

Comment 8 Tom "spot" Callaway 2014-02-27 19:52:11 UTC
Created attachment 868706 [details]
I'm about to retire this package, but in case someone wants to take it up, this is the patch referenced in comment 5, minus the very large number of whitespace changes.